Pull queued calls for this Mac
curl --request GET \
--url https://api.doers.sh/v2/devices/{deviceId}/calls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.doers.sh/v2/devices/{deviceId}/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.doers.sh/v2/devices/{deviceId}/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"calls": [
{
"id": "<string>",
"deviceId": "<string>",
"operation": "delegateTask",
"state": "queued",
"waitingForMac": true,
"message": "<string>",
"createdAt": 123
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Devices
Pull queued calls for this Mac
The desktop half of the relay. Marks the device seen so new delegations are not “will start when your Mac is online”. Revoked devices get an empty list.
GET
/
v2
/
devices
/
{deviceId}
/
calls
Pull queued calls for this Mac
Authorizations
A pc_… token generated from Settings > API & MCP.
Path Parameters
Identifier of a row.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Success.
Show child attributes
Show child attributes